Bug 728807 - The package doesn't own the alert database file
Summary: The package doesn't own the alert database file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: setroubleshoot
Version: 15
Hardware: All
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-07 20:02 UTC by Göran Uddeborg
Modified: 2012-07-25 20:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-25 20:56:13 UTC


Attachments (Terms of Use)

Description Göran Uddeborg 2011-08-07 20:02:15 UTC
The setroubleshoot-server package owns the file audit_listener_database.xml in /var/lib/setroubleshoot.  That used to be where alerts were recorded.  Recently, however, setroubleshoot has started to record in the file setroubleshoot_database.xml instead.  (In the default configuration.)  That file isn't owned by any package.

The packaging of setroubleshoot-server should probably be updated to follow the current default configuration, so that setroubleshoot_database.xml is owned by the package, and audit_listener_database.xml is not.

Comment 1 Daniel Walsh 2011-08-08 21:15:10 UTC
Fixed in setroubleshoot-3.0.38-2.fc15

Comment 2 Göran Uddeborg 2012-07-25 20:56:13 UTC
This was indeed fixed some time ago, but apparently the bugzilla was never closed.  Fixing that now.


Note You need to log in before you can comment on or make changes to this bug.